package v1

import (
	"github.com/gin-gonic/gin"
	"system_pay/controller/api/v1/pay"
	"system_pay/router/pack"
)

// 统一支付
func PayRouter (r *gin.Engine) {
	PayController := pay.PayController{}

	// 卡拉卡统一支付
	r.POST(pack.PayUrlPacking("unified_order"), PayController.UnifiedOrder)

	// 卡拉卡统一支付回调
	r.POST(pack.PayUrlPacking("wx_notice"), PayController.WxNotice)

	// 卡拉卡统一支付
	r.POST(pack.PayUrlPacking("unified_refund"), PayController.UnifiedRefund)
}

